Skip to content
Start here

Delete targets

zero_trust.access.infrastructure.targets.bulk_delete_v2(TargetBulkDeleteV2Params**kwargs)
POST/accounts/{account_id}/infrastructure/targets/batch_delete

Removes one or more targets.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Account identifier

maxLength32
target_ids: SequenceNotStr[str]

List of target IDs to bulk delete

Delete targets

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.zero_trust.access.infrastructure.targets.bulk_delete_v2(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    target_ids=["182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"],
)
Returns Examples